Backport packages for 18.04.2 HWE stack

Bug #1798597 reported by Timo Aaltonen on 2018-10-18
18
This bug affects 1 person
Affects Status Importance Assigned to Milestone
libclc (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Timo Aaltonen
libdrm (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Timo Aaltonen
llvm-toolchain-7 (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Timo Aaltonen
mesa (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Timo Aaltonen
wayland (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Timo Aaltonen
xf86-input-wacom-hwe-18.04 (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Timo Aaltonen
xorg-hwe-18.04 (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Timo Aaltonen
xorg-server-hwe-18.04 (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Timo Aaltonen
xserver-xorg-input-evdev-hwe-18.04 (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Timo Aaltonen
xserver-xorg-input-joystick-hwe-18.04 (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Timo Aaltonen
xserver-xorg-input-libinput-hwe-18.04 (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Timo Aaltonen
xserver-xorg-input-synaptics-hwe-18.04 (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Timo Aaltonen
xserver-xorg-video-amdgpu-hwe-18.04 (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Timo Aaltonen
xserver-xorg-video-ati-hwe-18.04 (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Timo Aaltonen
xserver-xorg-video-dummy-hwe-18.04 (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Timo Aaltonen
xserver-xorg-video-fbdev-hwe-18.04 (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Timo Aaltonen
xserver-xorg-video-nouveau-hwe-18.04 (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Timo Aaltonen
xserver-xorg-video-qxl-hwe-18.04 (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Timo Aaltonen
xserver-xorg-video-vesa-hwe-18.04 (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Timo Aaltonen
xserver-xorg-video-vmware-hwe-18.04 (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Timo Aaltonen

Bug Description

[Impact]

These are needed for 18.04.2 images.

[Test case]

Boot a daily image, see that it still has the necessary stack installed and working.

Check upgrade from stock bionic.

[Regression potential]

libdrm: very minimal chance for regressions

llvm-7: a new package, no regression potential on it's own

libclc: more or less just adds support for new llvm

mesa: a new major release, but we'll pull the final stable release of 18.2.x series, so there shouldn't be any regressions left at that point

xserver: a new major release, but since it's renamed there's no real chance of regression when it hits the archive

xorg drivers: same as xserver

[Other info]

Timo Aaltonen (tjaalton) on 2018-10-18
Changed in xorg-server (Ubuntu):
status: New → Invalid
Changed in mesa (Ubuntu):
status: New → Invalid
Changed in llvm-toolchain-7 (Ubuntu):
status: New → Invalid
Changed in libdrm (Ubuntu):
status: New → Invalid
Changed in libclc (Ubuntu):
status: New → Invalid
Timo Aaltonen (tjaalton) on 2018-11-06
Changed in xorg-server (Ubuntu Bionic):
assignee: nobody → Timo Aaltonen (tjaalton)
Changed in libdrm (Ubuntu Bionic):
assignee: nobody → Timo Aaltonen (tjaalton)
Changed in libclc (Ubuntu Bionic):
assignee: nobody → Timo Aaltonen (tjaalton)
Changed in llvm-toolchain-7 (Ubuntu Bionic):
assignee: nobody → Timo Aaltonen (tjaalton)
Iain Lane (laney) on 2018-11-20
Changed in mesa (Ubuntu Bionic):
assignee: nobody → Timo Aaltonen (tjaalton)

Hello Timo, or anyone else affected,

Accepted llvm-toolchain-7 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/llvm-toolchain-7/1:7-3~ubuntu0.18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in llvm-toolchain-7 (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed verification-needed-bionic
Changed in libdrm (Ubuntu Bionic):
status: New → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Timo, or anyone else affected,

Accepted libdrm into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/libdrm/2.4.95-1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Timo Aaltonen (tjaalton) on 2018-11-27
Changed in xf86-input-wacom (Ubuntu):
status: New → Invalid
Changed in xorg (Ubuntu):
status: New → Invalid
Changed in xserver-xorg-input-evdev (Ubuntu):
status: New → Invalid
Timo Aaltonen (tjaalton) on 2018-11-27
description: updated
Changed in xserver-xorg-video-vmware (Ubuntu):
status: New → Invalid
Changed in xserver-xorg-video-vesa (Ubuntu):
status: New → Invalid
Changed in xserver-xorg-video-qxl (Ubuntu):
status: New → Invalid
Changed in xserver-xorg-video-nouveau (Ubuntu):
status: New → Invalid
Changed in xserver-xorg-video-fbdev (Ubuntu):
status: New → Invalid
Changed in xserver-xorg-video-ati (Ubuntu):
status: New → Invalid
Timo Aaltonen (tjaalton) on 2018-11-27
Changed in xserver-xorg-video-amdgpu (Ubuntu):
status: New → Invalid
Changed in xserver-xorg-input-synaptics (Ubuntu):
status: New → Invalid
Changed in xserver-xorg-input-libinput (Ubuntu):
status: New → Invalid
Changed in xserver-xorg-input-joystick (Ubuntu):
status: New → Invalid
Timo Aaltonen (tjaalton) on 2018-11-27
Changed in xserver-xorg-video-vmware (Ubuntu Bionic):
assignee: nobody → Timo Aaltonen (tjaalton)
Changed in xserver-xorg-video-vesa (Ubuntu Bionic):
assignee: nobody → Timo Aaltonen (tjaalton)
Changed in xf86-input-wacom (Ubuntu Bionic):
assignee: nobody → Timo Aaltonen (tjaalton)
Changed in xorg (Ubuntu Bionic):
assignee: nobody → Timo Aaltonen (tjaalton)
Changed in xserver-xorg-input-evdev (Ubuntu Bionic):
assignee: nobody → Timo Aaltonen (tjaalton)
Changed in xserver-xorg-input-joystick (Ubuntu Bionic):
assignee: nobody → Timo Aaltonen (tjaalton)
Changed in xserver-xorg-input-libinput (Ubuntu Bionic):
assignee: nobody → Timo Aaltonen (tjaalton)
Changed in xserver-xorg-input-synaptics (Ubuntu Bionic):
assignee: nobody → Timo Aaltonen (tjaalton)
Changed in xserver-xorg-video-amdgpu (Ubuntu Bionic):
assignee: nobody → Timo Aaltonen (tjaalton)
Changed in xserver-xorg-video-ati (Ubuntu Bionic):
assignee: nobody → Timo Aaltonen (tjaalton)
Changed in xserver-xorg-video-fbdev (Ubuntu Bionic):
assignee: nobody → Timo Aaltonen (tjaalton)
Changed in xserver-xorg-video-nouveau (Ubuntu Bionic):
assignee: nobody → Timo Aaltonen (tjaalton)
Changed in xserver-xorg-video-qxl (Ubuntu Bionic):
assignee: nobody → Timo Aaltonen (tjaalton)
Timo Aaltonen (tjaalton) on 2018-11-27
Changed in wayland (Ubuntu):
status: New → Invalid
Changed in wayland (Ubuntu Bionic):
assignee: nobody → Timo Aaltonen (tjaalton)
Adam Conrad (adconrad) wrote :

Hello Timo, or anyone else affected,

Accepted libclc into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/libclc/0.2.0+git20180917-2~ubuntu0.18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in libclc (Ubuntu Bionic):
status: New → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Timo, or anyone else affected,

Accepted wayland into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/wayland/1.16.0-1ubuntu1.1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in wayland (Ubuntu Bionic):
status: New → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Timo, or anyone else affected,

Accepted mesa into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/mesa/18.2.2-0ubuntu1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in mesa (Ubuntu Bionic):
status: New → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Timo, or anyone else affected,

Accepted xf86-input-wacom-hwe-18.04 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/xf86-input-wacom-hwe-18.04/1:0.36.1-0ubuntu1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Adam Conrad (adconrad) wrote :

Hello Timo, or anyone else affected,

Accepted xserver-xorg-input-evdev-hwe-18.04 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/xserver-xorg-input-evdev-hwe-18.04/1:2.10.6-1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Adam Conrad (adconrad) wrote :

Hello Timo, or anyone else affected,

Accepted xserver-xorg-input-joystick-hwe-18.04 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/xserver-xorg-input-joystick-hwe-18.04/1:1.6.3-1build1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Adam Conrad (adconrad) wrote :

Hello Timo, or anyone else affected,

Accepted xserver-xorg-input-libinput-hwe-18.04 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/xserver-xorg-input-libinput-hwe-18.04/0.28.1-1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Adam Conrad (adconrad) wrote :

Hello Timo, or anyone else affected,

Accepted xserver-xorg-input-synaptics-hwe-18.04 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/xserver-xorg-input-synaptics-hwe-18.04/1.9.1-1ubuntu1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Adam Conrad (adconrad) wrote :

Hello Timo, or anyone else affected,

Accepted xserver-xorg-video-amdgpu-hwe-18.04 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/xserver-xorg-video-amdgpu-hwe-18.04/18.1.0-1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

affects: xf86-input-wacom (Ubuntu Bionic) → xf86-input-wacom-hwe-18.04 (Ubuntu Bionic)
Changed in xf86-input-wacom-hwe-18.04 (Ubuntu Bionic):
status: New → Fix Committed
affects: xserver-xorg-input-evdev (Ubuntu Bionic) → xserver-xorg-input-evdev-hwe-18.04 (Ubuntu Bionic)
Changed in xserver-xorg-input-evdev-hwe-18.04 (Ubuntu Bionic):
status: New → Fix Committed
affects: xserver-xorg-input-joystick (Ubuntu Bionic) → xserver-xorg-input-joystick-hwe-18.04 (Ubuntu Bionic)
Changed in xserver-xorg-input-joystick-hwe-18.04 (Ubuntu Bionic):
status: New → Fix Committed
affects: xserver-xorg-input-libinput (Ubuntu Bionic) → xserver-xorg-input-libinput-hwe-18.04 (Ubuntu Bionic)
Changed in xserver-xorg-input-libinput-hwe-18.04 (Ubuntu Bionic):
status: New → Fix Committed
affects: xserver-xorg-input-synaptics (Ubuntu Bionic) → xserver-xorg-input-synaptics-hwe-18.04 (Ubuntu Bionic)
Changed in xserver-xorg-input-synaptics-hwe-18.04 (Ubuntu Bionic):
status: New → Fix Committed
affects: xorg-server (Ubuntu Bionic) → xorg-server-hwe-18.04 (Ubuntu Bionic)
Changed in xorg-server-hwe-18.04 (Ubuntu Bionic):
status: New → Fix Committed
affects: xserver-xorg-video-amdgpu (Ubuntu Bionic) → xserver-xorg-video-amdgpu-hwe-18.04 (Ubuntu Bionic)
Changed in xserver-xorg-video-amdgpu-hwe-18.04 (Ubuntu Bionic):
status: New → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Timo, or anyone else affected,

Accepted xserver-xorg-video-ati-hwe-18.04 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/xserver-xorg-video-ati-hwe-18.04/1:18.1.0-1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

affects: xserver-xorg-video-ati (Ubuntu Bionic) → xserver-xorg-video-ati-hwe-18.04 (Ubuntu Bionic)
Changed in xserver-xorg-video-ati-hwe-18.04 (Ubuntu Bionic):
status: New → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Timo, or anyone else affected,

Accepted xserver-xorg-video-fbdev-hwe-18.04 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/xserver-xorg-video-fbdev-hwe-18.04/1:0.5.0-1ubuntu1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

affects: xserver-xorg-video-fbdev (Ubuntu Bionic) → xserver-xorg-video-fbdev-hwe-18.04 (Ubuntu Bionic)
Changed in xserver-xorg-video-fbdev-hwe-18.04 (Ubuntu Bionic):
status: New → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Timo, or anyone else affected,

Accepted xserver-xorg-video-nouveau-hwe-18.04 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/xserver-xorg-video-nouveau-hwe-18.04/1:1.0.15-3~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

affects: xserver-xorg-video-nouveau (Ubuntu Bionic) → xserver-xorg-video-nouveau-hwe-18.04 (Ubuntu Bionic)
Changed in xserver-xorg-video-nouveau-hwe-18.04 (Ubuntu Bionic):
status: New → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Timo, or anyone else affected,

Accepted xserver-xorg-video-qxl-hwe-18.04 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/xserver-xorg-video-qxl-hwe-18.04/0.1.5-2build2~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

affects: xserver-xorg-video-qxl (Ubuntu Bionic) → xserver-xorg-video-qxl-hwe-18.04 (Ubuntu Bionic)
Changed in xserver-xorg-video-qxl-hwe-18.04 (Ubuntu Bionic):
status: New → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Timo, or anyone else affected,

Accepted xserver-xorg-video-vesa-hwe-18.04 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/xserver-xorg-video-vesa-hwe-18.04/1:2.4.0-1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

affects: xserver-xorg-video-vesa (Ubuntu Bionic) → xserver-xorg-video-vesa-hwe-18.04 (Ubuntu Bionic)
Changed in xserver-xorg-video-vesa-hwe-18.04 (Ubuntu Bionic):
status: New → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Timo, or anyone else affected,

Accepted xserver-xorg-video-vmware-hwe-18.04 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/xserver-xorg-video-vmware-hwe-18.04/1:13.3.0-2build1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

affects: xserver-xorg-video-vmware (Ubuntu Bionic) → xserver-xorg-video-vmware-hwe-18.04 (Ubuntu Bionic)
Changed in xserver-xorg-video-vmware-hwe-18.04 (Ubuntu Bionic):
status: New → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Timo, or anyone else affected,

Accepted xserver-xorg-video-dummy-hwe-18.04 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/xserver-xorg-video-dummy-hwe-18.04/1:0.3.8-1build3~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in xserver-xorg-video-dummy-hwe-18.04 (Ubuntu):
status: New → Invalid
Changed in xserver-xorg-video-dummy-hwe-18.04 (Ubuntu Bionic):
assignee: nobody → Timo Aaltonen (tjaalton)
status: New → Fix Committed
Adam Conrad (adconrad) wrote :

Hello Timo, or anyone else affected,

Accepted xorg-hwe-18.04 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/xorg-hwe-18.04/1:7.7+19ubuntu8~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

affects: xorg (Ubuntu Bionic) → xorg-hwe-18.04 (Ubuntu Bionic)
Changed in xorg-hwe-18.04 (Ubuntu Bionic):
status: New → Fix Committed
Timo Aaltonen (tjaalton) wrote :

I've tested this on two GPU configs:

AMD Raven (Radeon Vega 8 Mobile)
Intel Coffee Lake

both upgrade and work fine.

Timo Aaltonen (tjaalton) wrote :

while the daily images still don't use the hwe stack, I've gone ahead and verified this

tags: added: verification-done verification-done-bionic
removed: verification-needed verification-needed-bionic

The verification of the Stable Release Update for llvm-toolchain-7 has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libdrm - 2.4.95-1~18.04.1

---------------
libdrm (2.4.95-1~18.04.1) bionic; urgency=medium

  * Backport to bionic for 18.04.2 HWE stack update. (LP: #1798597)

libdrm (2.4.95-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * rules, control: Switch to meson.

  [ Andreas Boll ]
  * New upstream release.
    - Fixes WebGL on Firefox (Closes: #907698).
  * Update libdrm-amdgpu1.symbols and shlibs.
  * Drop static libdrm library from libdrm-dev.
  * Update extend-diff-ignore.

libdrm (2.4.94-1) unstable; urgency=medium

  [ Guido Günther ]
  * Enable etnaviv on arm64 (Closes: #906915)

  [ Timo Aaltonen ]
  * New upstream release. (LP: #1789924)
  * Update libdrm-amdgpu1.symbols and shlibs.

libdrm (2.4.93-1) unstable; urgency=medium

  * New upstream release.
  * Update libdrm-freedreno1.symbols and shlibs.

libdrm (2.4.92-1) unstable; urgency=medium

  * New upstream release.
  * Update libdrm-freedreno1.symbols and shlibs.
  * control: Update to my Debian address.
  * Update Vcs-* URLs to point at salsa.debian.org.
  * Bump debhelper compat to 11.
  * Bump standards version to 4.1.4.

 -- Timo Aaltonen <email address hidden> Thu, 22 Nov 2018 16:56:49 +0200

Changed in libdrm (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package wayland - 1.16.0-1ubuntu1.1~18.04.1

---------------
wayland (1.16.0-1ubuntu1.1~18.04.1) bionic; urgency=medium

  * Backport for 18.04.2 HWE stack update. (LP: #1798597)

wayland (1.16.0-1ubuntu1.1) cosmic; urgency=medium

  * control: Bump Breaks/Replaces again to match reality. (LP: #1781440)

 -- Timo Aaltonen <email address hidden> Tue, 27 Nov 2018 21:43:07 +0200

Changed in wayland (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mesa - 18.2.2-0ubuntu1~18.04.1

---------------
mesa (18.2.2-0ubuntu1~18.04.1) bionic; urgency=medium

  * Backport for 18.04.2 HWE stack update. (LP: #1798597)
  * intel-whl-aml-cfl-ids.diff: Add missing i965 pci-id's (LP: #1789924)

 -- Timo Aaltonen <email address hidden> Thu, 29 Nov 2018 00:09:03 +0200

Changed in mesa (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xf86-input-wacom-hwe-18.04 - 1:0.36.1-0ubuntu1~18.04.1

---------------
xf86-input-wacom-hwe-18.04 (1:0.36.1-0ubuntu1~18.04.1) bionic; urgency=medium

  * Backport for 18.04.2 HWE stack update. (LP: #1798597)

 -- Timo Aaltonen <email address hidden> Tue, 27 Nov 2018 19:27:14 +0200

Changed in xf86-input-wacom-hwe-18.04 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xorg-server-hwe-18.04 - 2:1.20.1-3ubuntu2.1~18.04.1

---------------
xorg-server-hwe-18.04 (2:1.20.1-3ubuntu2.1~18.04.1) bionic; urgency=medium

  * Backport for 18.04.2 HWE stack update. (LP: #1798597)

 -- Timo Aaltonen <email address hidden> Tue, 27 Nov 2018 19:27:12 +0200

Changed in xorg-server-hwe-18.04 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xserver-xorg-input-joystick-hwe-18.04 - 1:1.6.3-1build1~18.04.1

---------------
xserver-xorg-input-joystick-hwe-18.04 (1:1.6.3-1build1~18.04.1) bionic; urgency=medium

  * Backport for 18.04.2 HWE stack update. (LP: #1798597)

 -- Timo Aaltonen <email address hidden> Tue, 27 Nov 2018 19:27:17 +0200

Changed in xserver-xorg-input-joystick-hwe-18.04 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xserver-xorg-input-libinput-hwe-18.04 - 0.28.1-1~18.04.1

---------------
xserver-xorg-input-libinput-hwe-18.04 (0.28.1-1~18.04.1) bionic; urgency=medium

  * Backport for 18.04.2 HWE stack update. (LP: #1798597)

 -- Timo Aaltonen <email address hidden> Tue, 27 Nov 2018 19:27:18 +0200

Changed in xserver-xorg-input-libinput-hwe-18.04 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xserver-xorg-input-synaptics-hwe-18.04 - 1.9.1-1ubuntu1~18.04.1

---------------
xserver-xorg-input-synaptics-hwe-18.04 (1.9.1-1ubuntu1~18.04.1) bionic; urgency=medium

  * Backport for 18.04.2 HWE stack update. (LP: #1798597)

 -- Timo Aaltonen <email address hidden> Tue, 27 Nov 2018 19:27:19 +0200

Changed in xserver-xorg-input-synaptics-hwe-18.04 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xserver-xorg-video-amdgpu-hwe-18.04 - 18.1.0-1~18.04.1

---------------
xserver-xorg-video-amdgpu-hwe-18.04 (18.1.0-1~18.04.1) bionic; urgency=medium

  * Backport for 18.04.2 HWE stack update. (LP: #1798597)

 -- Timo Aaltonen <email address hidden> Tue, 27 Nov 2018 19:27:21 +0200

Changed in xserver-xorg-video-amdgpu-hwe-18.04 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xserver-xorg-video-ati-hwe-18.04 - 1:18.1.0-1~18.04.1

---------------
xserver-xorg-video-ati-hwe-18.04 (1:18.1.0-1~18.04.1) bionic; urgency=medium

  * Backport for 18.04.2 HWE stack update. (LP: #1798597)

 -- Timo Aaltonen <email address hidden> Tue, 27 Nov 2018 19:27:23 +0200

Changed in xserver-xorg-video-ati-hwe-18.04 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xserver-xorg-video-vesa-hwe-18.04 - 1:2.4.0-1~18.04.1

---------------
xserver-xorg-video-vesa-hwe-18.04 (1:2.4.0-1~18.04.1) bionic; urgency=medium

  * Backport for 18.04.2 HWE stack update. (LP: #1798597)

 -- Timo Aaltonen <email address hidden> Tue, 27 Nov 2018 19:27:28 +0200

Changed in xserver-xorg-video-vesa-hwe-18.04 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xserver-xorg-video-vmware-hwe-18.04 - 1:13.3.0-2build1~18.04.1

---------------
xserver-xorg-video-vmware-hwe-18.04 (1:13.3.0-2build1~18.04.1) bionic; urgency=medium

  * Backport for 18.04.2 HWE stack update. (LP: #1798597)

 -- Timo Aaltonen <email address hidden> Tue, 27 Nov 2018 19:27:30 +0200

Changed in xserver-xorg-video-vmware-hwe-18.04 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xserver-xorg-video-nouveau-hwe-18.04 - 1:1.0.15-3~18.04.1

---------------
xserver-xorg-video-nouveau-hwe-18.04 (1:1.0.15-3~18.04.1) bionic; urgency=medium

  * Backport for 18.04.2 HWE stack update. (LP: #1798597)

 -- Timo Aaltonen <email address hidden> Tue, 27 Nov 2018 19:27:25 +0200

Changed in xserver-xorg-video-nouveau-hwe-18.04 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xserver-xorg-video-fbdev-hwe-18.04 - 1:0.5.0-1ubuntu1~18.04.1

---------------
xserver-xorg-video-fbdev-hwe-18.04 (1:0.5.0-1ubuntu1~18.04.1) bionic; urgency=medium

  * Backport for 18.04.2 HWE stack update. (LP: #1798597)

 -- Timo Aaltonen <email address hidden> Tue, 27 Nov 2018 19:27:24 +0200

Changed in xserver-xorg-video-fbdev-hwe-18.04 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xserver-xorg-video-qxl-hwe-18.04 - 0.1.5-2build2~18.04.1

---------------
xserver-xorg-video-qxl-hwe-18.04 (0.1.5-2build2~18.04.1) bionic; urgency=medium

  * Backport for 18.04.2 HWE stack update. (LP: #1798597)

 -- Timo Aaltonen <email address hidden> Tue, 27 Nov 2018 19:27:27 +0200

Changed in xserver-xorg-video-qxl-hwe-18.04 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xserver-xorg-video-dummy-hwe-18.04 - 1:0.3.8-1build3~18.04.1

---------------
xserver-xorg-video-dummy-hwe-18.04 (1:0.3.8-1build3~18.04.1) bionic; urgency=medium

  * Backport for 18.04.2 HWE stack update. (LP: #1798597)

 -- Timo Aaltonen <email address hidden> Fri, 14 Dec 2018 14:19:13 +0200

Changed in xserver-xorg-video-dummy-hwe-18.04 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xorg-hwe-18.04 - 1:7.7+19ubuntu8~18.04.1

---------------
xorg-hwe-18.04 (1:7.7+19ubuntu8~18.04.1) bionic; urgency=medium

  * Backport for 18.04.2 HWE stack update. (LP: #1798597)

 -- Timo Aaltonen <email address hidden> Tue, 27 Nov 2018 19:27:10 +0200

Changed in xorg-hwe-18.04 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package llvm-toolchain-7 - 1:7-3~ubuntu0.18.04.1

---------------
llvm-toolchain-7 (1:7-3~ubuntu0.18.04.1) bionic; urgency=medium

  * Backport to bionic for 18.04.2 HWE stack update. (LP: #1798597)

 -- Timo Aaltonen <email address hidden> Thu, 22 Nov 2018 16:30:14 +0200

Changed in llvm-toolchain-7 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libclc - 0.2.0+git20180917-2~ubuntu0.18.04.1

---------------
libclc (0.2.0+git20180917-2~ubuntu0.18.04.1) bionic; urgency=medium

  * Backport for 18.04.2 HWE stack update. (LP: #1798597)

 -- Timo Aaltonen <email address hidden> Thu, 11 Oct 2018 11:32:39 +0300

Changed in libclc (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xserver-xorg-input-evdev-hwe-18.04 - 1:2.10.6-1~18.04.1

---------------
xserver-xorg-input-evdev-hwe-18.04 (1:2.10.6-1~18.04.1) bionic; urgency=medium

  * Backport for 18.04.2 HWE stack update. (LP: #1798597)

 -- Timo Aaltonen <email address hidden> Tue, 27 Nov 2018 19:27:15 +0200

Changed in xserver-xorg-input-evdev-hwe-18.04 (Ubuntu Bionic):
status: Fix Committed → Fix Released
kisak (kisak) wrote :

Good day, just wondering if mesa 18.2.8 was still in the plan?

Hello Timo, or anyone else affected,

Accepted xserver-xorg-video-intel-hwe-18.04 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/xserver-xorg-video-intel-hwe-18.04/2:2.99.917+git20171229-1ubuntu1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

tags: added: verification-needed verification-needed-bionic
removed: verification-done verification-done-bionic
Timo Aaltonen (tjaalton) wrote :

kisak: yes, see bug 1811225

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers